@InProceedings{BouletFe98,
  author =       {Pierre Boulet and Paul Feautrier},
  title =        {Scanning polyhedra without Do-loops},
  booktitle =    {PACT'98},
  pages =        {4-11},
  year =         1998,
  publisher =    {IEEE Computer Society}
}

@InProceedings{BouletRe98,
  author =       {Pierre Boulet and Xavier Redon},
  title =        {Communication Pre-evaluation in {HPF}},
  booktitle =    {EUROPAR'98},
  pages =        {263-272},
  year =         1998,
  volume =       1470,
  series =       {LNCS},
  publisher =    {Springer Verlag}
}

@InProceedings{ClaussPhil1996c,
  author =       "Philippe Clauss",
  booktitle =    "ACM Int. Conf. on Supercomputing",
  title =        "Counting Solutions to Linear and Nonlinear Constraints
                 through Ehrhart polynomials: Applications to Analyze
                 and Transform Scientific Programs",
  year =         "1996",
  url =          "http://icps.u-strasbg.fr/pub-96/pub-96-03.ps.gz",
  keywords =     "parallelizing compilers, Ehrhart polynomial,
                 optimizing compilers, rational polytope, nested loop",
  publisher =    "ACM",
  scope =        "hpc",
}

@InProceedings{ClaussPhil1996d,
  author =       "Philippe Clauss and Vincent Loechner",
  booktitle =    "IEEE Int. Conf. on Application Specific Array
                 Processors, ASAP'96",
  title =        "Parametric Analysis of Polyhedral Iteration Spaces",
  year =         "1996",
  url =          "http://icps.u-strasbg.fr/pub-96/pub-96-04.ps.gz",
  keywords =     "parallelizing compilers, Ehrhart polynomial,
                 optimizing compilers, rational polytope, nested loop",
  publisher =    "IEEE Computer Society",
  scope =        "hpc",
}

@INPROCEEDINGS{Collard94,
        AUTHOR             = {Jean-Fran\c{c}ois Collard},
        BOOKTITLE          = {Proc. Int. Conf. on Application in Parallel and Distributed Computing. IFIP WG 10.3},
        EDITOR             = {Claude Girault},
        PAGES              = {185--194},
        PUBLISHER          = {North Holland},
        TITLE              = {Code generation in automatic parallelizers},
        YEAR               = {1994}
}

@ARTICLE{CollardFeRi94,
        AUTHOR             = {Jean-Fran\c{c}ois Collard and Paul Feautrier and Tanguy Risset},
        JOURNAL            = {Parallel Processing Letters},
        NUMBER             = {3},
        PAGES              = {421-436},
        TITLE              = {Construction of {DO} loops from systems of affine constraints},
        VOLUME             = {5},
        YEAR               = {1995}
}

@INPROCEEDINGS{DRpitt,
        AUTHOR             = {Alain Darte and Yves Robert},
        BOOKTITLE          = {ISMM Conference on Parallel and Distributed Systems},
        EDITOR             = {R. Melhem},
        PAGES              = {75-82},
        PUBLISHER          = {ISMM Press},
        TITLE              = {Scheduling uniform loop nests},
        YEAR               = {1992}
}

@INPROCEEDINGS{DarteRisRob93,
        AUTHOR             = {Alain Darte and Tanguy Risset and Yves Robert},
        BOOKTITLE          = {Environments and Tools for Parallel Scientific Computing},
        EDITOR             = {J.J. Dongarra and B. Tourancheau},
        PAGES              = {309-332},
        PUBLISHER          = {North Holland},
        SERIES             = {Advances in Parallel Computing},
        TITLE              = {Loop nest scheduling and transformations},
        VOLUME             = {6},
        YEAR               = {1993}
}

@ARTICLE{DarteRob94b,
        AUTHOR             = {Alain Darte and Yves Robert},
        JOURNAL            = {IEEE Trans. Parallel Distributed Systems},
        NUMBER             = {8},
        PAGES              = {814-822},
        TITLE              = {Constructive methods for scheduling uniform loop nests},
        VOLUME             = {5},
        YEAR               = {1994}
}

@ARTICLE{DarteRob95,
        AUTHOR             = {Alain Darte and Yves Robert},
        JOURNAL            = {J. Parallel and Distributed Computing},
        PAGES              = {43-59},
        TITLE              = {Affine-by-statement scheduling of uniform and affine loop nests over parametric domains},
        VOLUME             = {29},
        YEAR               = {1995}
}

@INPROCEEDINGS{DionRob95,
        AUTHOR             = {Mich\`ele Dion and Yves Robert},
        BOOKTITLE          = {High-Performance Computing and Networking, International Conference and Exhibition},
        EDITOR             = {Bob Hertzberger and Guiseppe Serazzi},
        INSTITUTION        = {Laboratoire de l'Informatique du Parall\'{e}lisme},
        NOTE               = {Extended version available as Technical Report 94-30, LIP, ENS Lyon (anonymous ftp to lip.ens-lyon.fr)},
        PAGES              = {184-189},
        PUBLISHER          = {Springer-Verlag},
        TITLE              = {Mapping Affine Loop Nests: New Results},
        TYPE               = {Research Report},
        VOLUME             = {LCNS 919},
        YEAR               = {1995}
}

@ARTICLE{Feautrier88b,
        AUTHOR             = {Paul Feautrier},
        JOURNAL            = {RAIRO Recherche Opérationnelle},
        PAGES              = {243--268},
        TITLE              = {Parametric Integer Programming},
        VOLUME             = {22},
        YEAR               = {1988},
        NOTE               = {URL: \url{http://www.prism.uvsq.fr/parallel/softs/}}
}

@ARTICLE{Feautrier91,
        AUTHOR             = {Paul Feautrier},
        JOURNAL            = {Int. J. Parallel Programming},
        NUMBER             = {1},
        PAGES              = {23-51},
        TITLE              = {Dataflow analysis of array and scalar references},
        VOLUME             = {20},
        YEAR               = {1991}
}

@ARTICLE{Feautrier92part1,
        AUTHOR             = {Paul Feautrier},
        ADDRESS            = {Universit\'{e} Pierre et Marie Curie, Paris},
        INSTITUTION        = {Laboratoire MASI},
        JOURNAL            = {Int. J. Parallel Programming},
        NUMBER             = {5},
        PAGES              = {313--348},
        TITLE              = {Some efficient solutions to the affine scheduling problem, part {I}: one-dimensional time},
        VOLUME             = {21},
        YEAR               = {1992}
}

@ARTICLE{Feautrier92part2,
        AUTHOR             = {Paul Feautrier},
        ADDRESS            = {Universit\'{e} Pierre et Marie Curie, Paris},
        INSTITUTION        = {Laboratoire MASI},
        JOURNAL            = {Int. J. Parallel Programming},
        NUMBER             = {6},
        PAGES              = {389--420},
        TITLE              = {Some efficient solutions to the affine scheduling problem, part {II}: multi-dimensional time},
        VOLUME             = {21},
        YEAR               = {1992}
}

@TECHREPORT{FeautrierTa90,
        AUTHOR             = {Paul Feautrier and Nadia Tawbi},
        ADDRESS            = {Laboratoire MASI (Paris)},
        INSTITUTION        = {Institut Blaise Pascal},
        NUMBER             = {90-2},
        TITLE              = {R\'{e}solution de Syst\`{e}mes d'In\'{e}quations Lin\'{e}aires; mode d'emploi du logiciel {PIP}},
        YEAR               = {1990}
}

@ARTICLE{Feautriermap,
        AUTHOR             = {Paul Feautrier},
        JOURNAL            = {Parallel Processing Letters},
        NUMBER             = {3},
        PAGES              = {233-244},
        TITLE              = {Towards automatic distribution},
        VOLUME             = {4},
        YEAR               = {1994}
}

@INPROCEEDINGS{KellyPuRo95,
        AUTHOR             = {Wayne Kelly and William Pugh and Evan Rosser},
        ADDRESS            = {McLean, Virginia},
        BOOKTITLE          = {The 5th Symposium on Frontiers of Massively Parallel Computation},
        PAGES              = {332-341},
        TITLE              = {Code generation for multiple mappings},
        YEAR               = {1995}
}

@TechReport{OmegaManual,
  author =       "Wayne Kelly and Vadim Maslov and William Pugh and Evan
                 Rosser and Tatiana Shpeisman and David Wonnacott",
  title =        "{T}he {O}mega {L}ibrary {I}nterface {G}uide",
  institution =  "Dept. of Computer Science, Univ. of Maryland, College
                 Park",
  year =         "1996",
  note =         {URL: \url{http://www.cs.umd.edu/projects/omega/}}
}

@ARTICLE{Pugh92a,
        AUTHOR             = {William Pugh},
        JOURNAL            = {Communications of the ACM},
        PAGES              = {27-47},
        TITLE              = {A practical algorithm for exact array dependence analysis},
        VOLUME             = {8},
        YEAR               = {1992}
}
                            
@InProceedings{Pugh:1991:OTF,
  author =       "W. Pugh",
  title =        "The {Omega} test: a fast and practical integer
                 programming algorithm for dependence analysis",
  editor =       "{IEEE}",
  booktitle =    "Proceedings, Supercomputing '91: Albuquerque, New
                 Mexico, November 18--22, 1991",
  publisher =    "IEEE Computer Society Press",
  year =         1991,
  ISBN =         "0-8186-9158-1 (IEEE case), 0-8186-2158-3 (IEEE paper),
                 0-8186-6158-5 (IEEE microfiche), 0-89791-459-7 (ACM)",
  pages =        "4--13",
  bibdate =      "Wed Apr 15 16:28:01 MDT 1998",
  acknowledgement = ack-nhfb,
  classification = "C1180 (Optimisation techniques); C4240 (Programming
                 and algorithm theory); C6150G (Diagnostic, testing,
                 debugging and evaluating systems)",
  corpsource =   "Dept. of Comput. Sci., Maryland Univ., College Park,
                 MD, USA",
  keywords =     "approximate algorithms; array references;
                 computational complexity; dependence analysis;
                 Fourier-Motzkin variable elimination; integer
                 programming; integer programming algorithm; Omega test;
                 polynomial time complexity; production compilers;
                 program testing; worst-case exponential time
                 complexity",
  sponsororg =   "IEEE; ACM",
  treatment =    "P Practical",
}
                            
@ARTICLE{WolLam,
        AUTHOR             = {Michael E. Wolf and Monica S. Lam},
        JOURNAL            = {IEEE Trans. Parallel Distributed Systems},
        NUMBER             = {4},
        PAGES              = {452-471},
        TITLE              = {A loop transformation theory and an algorithm to maximize parallelism},
        VOLUME             = {2},
        YEAR               = {1991}
}

@MISC{wwwcaml,
        AUTHOR             = {{Projet Cristal}},
        HOWPUBLISHED       = {URL: \url{http://caml.inria.fr/}},
        INSTITUTION        = {INRIA},
        TITLE              = {The Caml language}
}

@MISC{wwwcamlp4,
        AUTHOR             = {Daniel de Rauglaudre},
        HOWPUBLISHED       = {URL: \url{http://caml.inria.fr/camlp4}},
        INSTITUTION        = {INRIA},
        TITLE              = {Camlp4}
}

@MISC{maple,
        HOWPUBLISHED       = {URL: \url{http://www.maplesoft.com}},
        AUTHOR        = {MapleSoft},
        TITLE              = {Maple}
}

@MISC{mathematica,
        HOWPUBLISHED       = {URL: \url{http://www.mathematica.com}},
        AUTHOR        = {{Wolfram Research}},
        TITLE              = {Mathematica}
}
@STRING{UPMC = "Universit\'e P. et M. Curie"}
@STRING{IbP = "Institut Blaise Pascal"}
@STRING{LIFL = "Laboratoire d'Informatique Fondamentale de Lille"}
@STRING{ICPS = "Laboratoire Image et Calcul Parall\`ele Scientifique"}
@STRING{ijpp = "Int. Journal of Parallel Programming"}
@STRING{jpdc = "Journal of Parallel and Distributed Computing"}
@ARTICLE{Alma:91,
        AUTHOR = "I. Auge and J.Y. Brunel and X. Redon",
        TITLE = "System Prototyping with ALMA",
        JOURNAL = "IEEE 2nd International Workshop on Rapid System Prototyping",
        YEAR = 1991,
        MONTH = Jun}
@ARTICLE{Alma:91,
        AUTHOR = "I. Auge and J.Y. Brunel and X. Redon",
        TITLE = "System Prototyping with ALMA",
        JOURNAL = "IEEE 2nd International Workshop on Rapid System Prototyping",
        YEAR = 1991,
        MONTH = Jun}
@TECHREPORT{Bart:93,
        INSTITUTION=IbP,
        AUTHOR = "Denis Barthou",
        TITLE = "Extension et am\'eliorations pour le calcul du graphe de
flot de donn\'ees",
        MONTH = Jun, YEAR = 1993}
@TECHREPORT{Begu:92,
        AUTHOR = "A. Beguelin, J. Dongarra, A. Geist and R. Manchek and V. Sunderam",
        TITLE = "A User's Guide to PVM Parallel Virtual Machine",
        YEAR = 1992,
        MONTH = Sep,
        INSTITUTION = "Oak Ridge National Laboratory"
}
@Book{Berge:87b,
  author =       "C. Berge",
  title =        "Hypergraphes",
  publisher =    "Gauthier-Villars",
  year =         "1987"
}
@TECHREPORT{Blel:90,
        author = "Guy~E. Blelloch",
        title = "Prefix Sums and Their Applications",
        institution = "School of Computer Science, Carnegie Mellon University",
        number = "CMU-CS-90-190",
        month = nov,
        year = 1990 }
@ARTICLE{CH:92,
	AUTHOR = "R.J. Chen and Y.S. Hou",
	TITLE = "Non-associative parallel prefix computation",
        JOURNAL="Information Processing Letters 44",
        PAGES="91-94",
        MONTH= Nov,
        EDITOR = "North-Holland",
	YEAR=1992}
@string{ PPOPP91 = "Third {ACM SIGPLAN} Symposium on Principles and
and Pratice of Parallel Programming PPOPP"}
@TECHREPORT{CLW:97,
        AUTHOR = "Philippe Clauss and Vincent Loechner and Doran K. Wilde",
        TITLE = "Deriving Formulae to Count Solutions to Parameterized Linear
        Systems using Ehrhart Polynomials: Applications to
the Analysis of Nested-Loop Programs",
        YEAR = 1997,
        MONTH = "April",
        INSTITUTION=ICPS,
        NUMBER = "RR 97-05",
	NOTE = "URL: \url{http://icps.u-strasbg.fr/PolyLib}"
}

@INPROCEEDINGS{COUS:77,
        AUTHOR = {Patrick Cousot and Radhia Cousot},
        TITLE = {Abstract Interpretation : a Unified Lattice Model for
        Static Analysis of Programs by Construction or Approximation
        of Fixpoints},
        BOOKTITLE = {Symposium on Principles and Practice of
        Programming Languages},
        YEAR = 1977,
        PUBLISHER = {ACM}
}
@INPROCEEDINGS{Calla:91,
        AUTHOR = "D. Callahan",
        TITLE = "Recognizing and Parallelizing Bounded Recurrences",
        BOOKTITLE = "Proc. of the Fourth International Workshop on
Languages and Compilers for Parallel Computing, Santa Clara, CA",
        PAGES = "266--282",
        MONTH = Aug,
        EDITOR = "U. Banerjee et al. (Eds.)",
        NOTE = "LNCS 589", PUBLISHER = "Springer-Verlag", YEAR = 1991}
@INPROCEEDINGS{Chat:90,
         AUTHOR ="S. Chatterjee, G.E. Blelloch, and M. Zagha",
         TITLE = "Scan Primitives for Vector Computers",
         BOOKTITLE = "Supercomputing'90"
}
@INPROCEEDINGS{Chen:88,
        AUTHOR = "M. Chen, Y.-I. Choo and J. Li",
        TITLE = "Crystal: From Functional Description To 
        Efficient Parallel Code",
        BOOKTITLE = "Proc. of the Third Conference on Hypercube Concurrent
Computers and Applications",
	YEAR = "1988",
        EDITOR = "Fox, G.",
        PUBLISHER = "ACM, New York, USA",
        PAGES = "417--433"}
@phdthesis{Collard(these),
        author =        {J.-F. Collard},
        title =         {Parall\'elisation automatique des programmes \`a contr\^ole dynamique},
        school =        {ENS Lyon, Universit\'e Pierre et Marie Curie},
        year =          {1995},
        month =         {January}
}
@TECHREPORT{FR:97,
        AUTHOR = "X. Redon and P. Feautrier",
        TITLE = "Detection of Scans in Sequential Programs",
        YEAR = 1997,
        MONTH = May,
        INSTITUTION=LIFL,
        NUMBER = "AS-175",
	NOTE = "URL: {\tt ftp://ftp.lifl.fr/pub/reports/AS-publi/an97/as-175.ps.gz}"}
@BOOK{Fear:78,
        AUTHOR = "J. Lelong-Ferrand, J.-M. Arnaudi\`es",
        TITLE = "Cours de math\'ematiques Tome 1, Alg\`ebre",
        PUBLISHER = "Dunod universit\'e (Bordas)",
        YEAR = 1978}
@INPROCEEDINGS{Feau:94b,
        AUTHOR="Paul Feautrier",
        TITLE="Compiling for Massively Parallel Architectures",
        YEAR=1994,
        BOOKTITLE = "3rd Workshop on Algorithms and Parallel {VLSI} Architectures",
        PUBLISHER="Elsevier, to appear",
        MONTH= Aug}
@techreport{FeautrierRis,
        author =        {J.F. Collard and P. Feautrier and T. Risset},
        title =         {Construction of DO Loops from Systems of Affine Constra
ints},
        institution =   {LIP, ENS-Lyon},
        year =          {1993}
}
@Book{Gajo:79,
  author =       "M.R. Garey and D.S. Johnson",
  title =        "Computers and Intractability. A guide to the Theory of NP-Completeness",
  publisher =    "W.H. Freeman and compagny",
  year =         "1979"
}
@INPROCEEDINGS{Ghul:94,
        TITLE = "Parallelizing complex scans and reductions",
        AUTHOR = "Anwar M. Ghuloum and Allan L. Fisher",
        EDITOR="ACM Press",
	PAGES="135--145",
        YEAR = 1994,
        BOOKTITLE = "Procs of the 1994 ACM conference on Programming
Language Design and Implementation (PLDI)"}
@InProceedings{HLJQ:91,
        Author={P.J. Hatcher and A. J. Lapadula and R. R. Jones
                and M. J. Quinn and R. J. Anderson},
        Title={A Production-Quality C${}^\ast$ Compiler},
        Pages={73-82},
        BookTitle=PPOPP91,      Month=apr,      Year=1991}
@INPROCEEDINGS{LVVDW94,
        AUTHOR             = {H. Le Verge and V. Van Dongen and D. K. Wilde},
        ADDRESS            = {Lyon},
        BOOKTITLE          = {$6^{me}$ Rencontres francophones du parall\'{e}lisme},
        EDITOR             = {L. Boug\'{e} et al.},
        MONTH              = jun,
        PAGES              = {73--76},
        TITLE              = {La synth\`{e}se de nids de boucles avec la biblioth\`{e}que poly\'{e}drique},
        YEAR               = {1994}
}
@TECHREPORT{Lefe:93,
        INSTITUTION=IbP,
        AUTHOR = "Vincent Lefebvre",
        TITLE = "Un vectoriseur automatique pour PAF",
        MONTH = Sep, YEAR = 1993}
@Article{Lelo:88,
  author =       "Hanoch Levy and David~W. Low",
  title  =       "A contraction algorithm for finding small cycle cutsets",
  journal =      "Journal of Algorithms",
  year =         "1988",
  volume =       "9", 
  pages =        "470--493"
}
@InProceedings{NiWa:91,    Author={A. Nicolau and H. Wang},
        Title={Optimal Schedules for Parallel Prefix Computation with
                        Bounded Resources},
        BookTitle=PPOPP91,      Month=apr,      Year=1991}
@INPROCEEDINGS{Pugh:94,
        author = {William Pugh},
        title = {Counting Solutions to Presburger Formulas: How and Why},
        booktitle = {SIGPLAN Conference on Programming Language Design and
                        Implementation},
        month = jun,
        year = 1994,
        address = "Orlando, FL"
        }
@INPROCEEDINGS{RF:93,
        AUTHOR="X. Redon and P. Feautrier",
        TITLE="Detection of Reductions in Sequentials Programs with Loops",
        YEAR=1993,
        BOOKTITLE = "Procs of the 5th International Parallel Architectures
and Languages Europe",
        EDITOR="Arndt Bode and Mike Reeve and Gottfried Wolf",
	PAGES="132--145",
        MONTH= Jun}
@TECHREPORT{RF:94,
        AUTHOR = "X. Redon and P. Feautrier",
        TITLE = "Scheduling Reductions",
        YEAR = 1994,
        MONTH = Jan,
        INSTITUTION = "Laboratoire PRiSM",
        NUMBER = "PRiSM 94-03"}
@TECHREPORT{RF:94,
        AUTHOR = "X. Redon and P. Feautrier",
        TITLE = "Scheduling Reductions",
        YEAR = 1994,
        MONTH = Jan,
        INSTITUTION = "Laboratoire PRiSM",
        NUMBER = "PRiSM 94-03"}
@INPROCEEDINGS{RF:94b,
        TITLE = "Scheduling Reductions",
        AUTHOR = "X. Redon and P. Feautrier",
        EDITOR="ACM Press",
	PAGES="117--125",
        MONTH = Jul,
        YEAR = 1994,
        BOOKTITLE = "Procs of the 8th ACM International Conference on 
Supercomputing"}
@INPROCEEDINGS{RF:94b,
        TITLE = "Scheduling Reductions",
        AUTHOR = "X. Redon and P. Feautrier",
        EDITOR="ACM Press",
	PAGES="117--125",
        MONTH = Jul,
        YEAR = 1994,
        BOOKTITLE = "Procs of the 8th ACM International Conference on 
Supercomputing"}
@TECHREPORT{Rajo:93,
        AUTHOR = "S. Rajopadhye",
        TITLE = "LACS: A Language for Affine Communication Structures",
        YEAR = 1993,
        INSTITUTION = "IRISA"
}
@STRING{UPMC = "Universit\'e P. et M. Curie"}
@STRING{IbP = "Institut Blaise Pascal"}
@STRING{ijpp = "Int. Journal of Parallel Programming"}
@STRING{jpdc = "Journal of Parallel and Distributed Computing"}
@TECHREPORT{Raph:85,
        author = "Mich\`ele Raphalen and Bernard Philippe",
        title = "Pr\'ecision num\'erique dans le cumul d'un nombre de termes",
        institution = "Institut de recherche en informatique et systemes
aleatoires (IRISA)",
        number = "Publication interne 253",
        month = apr,
        year = 1985 }
@BOOK{Redd:89,
        AUTHOR = "Rama N. Reddy and Carol A. Ziegler",
        TITLE = "Fortran 77, with Application for Scientists and Engineers",
        PUBLISHER = "West Publishing Compagny",
        YEAR = 1989}
@TECHREPORT{Redo:92,
        AUTHOR = "X. Redon",
        TITLE = "D\'etection des r\'eductions",
        YEAR = 1992,
        MONTH = Sep,
        INSTITUTION=IbP,
        NUMBER = "MASI 92-52"}
@TECHREPORT{Redo:92,
        AUTHOR = "X. Redon",
        TITLE = "D\'etection des r\'eductions",
        YEAR = 1992,
        MONTH = Sep,
        INSTITUTION=IbP,
        NUMBER = "MASI 92-52"}
@TECHREPORT{Redo:92,
        AUTHOR = "X. Redon",
        TITLE = "D\'etection des r\'eductions",
        YEAR = 1992,
	MONTH = Sep,
        INSTITUTION=IbP,
        NUMBER = "MASI 92-52"}
@PhdThesis{Rex:95,
  author = "Xavier Redon",
  title = "D\'etection et exploitation des r\'ecurrences dans les
programmes num\'eriques en vue de leur parall\'elisation",
  school = UPMC,
  year = "1995",
  month = Jan,
  clef = "consist"
}
@Article{Sham:79,
  author =       "A.~Shamir",
  title  =       "linear time algorithm for finding minimum cutsets in reducible
 graphs",
  journal =      "SIAM J. Comput.",
  year =         "1979",
  number =       "4", 
  volume =       "8",
  pages =        "645--655"
}
@INPROCEEDINGS{Tawb:94,
         AUTHOR ="Nadia Tawbi",
         TITLE = "Estimation of nested loop execution time by
         integer arithmetics in convex polyhedra",
         BOOKTITLE = "Proc of the 1994 International Parallel
         Processing Symposium",
         MONTH = Apr, YEAR = 1994
}
@INPROCEEDINGS{Tier:70,
	AUTHOR = "James C. Tiernan",
	TITLE = "An efficient search algorithm to find the elementary circuits
        of a graph",
	BOOKTITLE = "Communications of the ACM",
	VOLUME = "12(3)",
	YEAR = 1970
	}
@INPROCEEDINGS{Viol:94,
         AUTHOR ="E. Violard, G.-R. Perrin",
         TITLE = "Reduction in PEI",
         BOOKTITLE = "Proceeding of CONPAR'94 - VAPP VI (LNCS 854)",
         PAGES = "112--123",
         EDITOR = "Springer Verlag",
         MONTH = sep, YEAR = 1994
}
@TechReport{Wild:93,
  author =       "Doran K. Wilde",
  title =        "A Library for Doing Polyhedral Operations",
  institution =  "IRISA",
  year =         1993,
  number =       "Internal Publication 785",
  address =      "Rennes, France",
  month =        "Dec",
  note = "Also published as INRIA Research Report 2157."
}
@PHDTHESIS{Wonn:95,
	TITLE={Constraint-Based Array Dependence Analysis},
	AUTHOR={David G. Wonnacott},
	YEAR=1995,
	SCHOOL={University of Maryland}
}
@INPROCEEDINGS{Zagh:92,
        author = "Guy~E. Blelloch and Siddhartha Chatterjee and Marco Zagha",
        title = "Solving Linear Recurrences with Loop Raking",
        booktitle = "Proceedings Sixth International Parallel Processing
                     Symposium", 
        pages = "416--424",
        month = mar,
        year = 1992 }
@MISC{test:91,
        HOWPUBLISHED = "Groupe ``Calcul Parall\`ele'' du MASI",
        AUTHOR = "Xavier Redon",
        TITLE = "Traitement des tests structuraux",
        NOTE = "available on request from Paul Feautrier",
        MONTH = Nov, YEAR = 1991}
@MISC{test:91,
        HOWPUBLISHED = "Groupe ``Calcul Parall\`ele'' du MASI",
        AUTHOR = "Xavier Redon",
        TITLE = "Traitement des tests structuraux",
        NOTE = "available on request from Paul Feautrier",
        MONTH = Nov, YEAR = 1991}
@MISC{tools:91,
        HOWPUBLISHED = "Groupe ``Calcul Parall\`ele'' du MASI",
        AUTHOR = "Xavier Redon",
        TITLE = "Biblioth\`eque pour PAF",
        NOTE = "available on request from Paul Feautrier",
        MONTH = Nov, YEAR = 1991}
@MISC{tools:91,
        HOWPUBLISHED = "Groupe ``Calcul Parall\`ele'' du MASI",
        AUTHOR = "Xavier Redon",
        TITLE = "Biblioth\`eque pour PAF",
        NOTE = "available on request from Paul Feautrier",
        MONTH = Nov, YEAR = 1991}
